Overview
PATCH
/project/projects/{id}/fields/{fieldId}projectRelabel / retype / reorder a field (+ a field.updated activity)
Update fields of a record in fields by id, fieldId.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
- fieldIdpathstring
Request body
application/json · optional
- labeloptionalstring
- typeoptional"text" | "number" | "date" | …
- optionsoptionalstring[]?
null clears the list; a select field requires a non-empty list on the effective (post-patch) type
- positionoptionalinteger
Example
{
"label": "string",
"type": "text",
"options": [
"string"
],
"position": 0
}Responses
200
Field
- idstring
- ecosystemIdstring
- projectIdstring
- keystring
stable identifier, unique within the project
- labelstring
- type"text" | "number" | "date" | …
- optionsoptionalstring[]?
the choices for a select field (non-empty); null for every other type
- positioninteger
field order (ascending)
- createdAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"projectId": "string",
"key": "string",
"label": "string",
"type": "text",
"options": [
"string"
],
"position": 0,
"createdAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PATCH "https://api.agenticdeveloperhub.com/project/projects/{id}/fields/{fieldId}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"label": "string",
"type": "text",
"options": [
"string"
],
"position": 0
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/project/projects/{id}/fields/{fieldId}", {
method: "PATCH",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"label\": \"string\",\n \"type\": \"text\",\n \"options\": [\n \"string\"\n ],\n \"position\": 0\n}",
});
const data = await res.json();